#include <stdio.h>
#include <stdarg.h>

#include <GUI.h>
#include "time.h"
#include "touch.h"
#include "display.h"
#include "screen.c"
#include "../Pictures/cerro2.c"

#include "GUI.h"
#include "FRAMEWIN.h"
#include "LISTWHEEL.h"

#include <stddef.h>
// Fonts
// Caveat: These fonts contain only a few glyphs.
#include "Fonts/Open 24 Display St60.c"
#include "Fonts/Open 24 Display St55.c"
#include "Fonts/Open 24 Display St40.c"
#include "Fonts/Open 24 Display St20.c"

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/

#define LIGHTBLUE hexColor(0x2288EE)

/*******************************************************************
*
*       static variables
*
********************************************************************
*/


/*********************************************************************
*
*       Data for wheels
*/
const GUI_ConstString  _apHour[] = {
  "00","01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23", 0
};


const GUI_ConstString  _apMin[] = {
  "00","01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19",
  "20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39",
  "40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59",0
};


/*******************************************************************
*
*       static code
*
********************************************************************
*/

/*********************************************************************
*
*       _cbBkWheel
*/
/*

static void _cbBkWheel(WM_MESSAGE * pMsg) {
  WM_HWIN hParent;
  int     xSize;
  int     ySize;
  int LineHeight    = 30;

  switch (pMsg->MsgId) {
  case WM_NOTIFY_PARENT:
    hParent    = WM_GetParent(pMsg->hWin);
    pMsg->hWin = hParent;
    WM_SendMessage(hParent, pMsg);
    break;
  case WM_PAINT:
    xSize = WM_GetWindowSizeX(pMsg->hWin);
    ySize = WM_GetWindowSizeY(pMsg->hWin);
    //GUI_DrawGradientV(0, 0, xSize - 1, ySize - 1, 0xb1b1b1, 0x0d0d0d);

    //JLC
    GUI_DrawGradientV(0, 0, xSize - 1, (ySize - 1)/2, 0xb1b1b1, 0xE3E4E1);
    GUI_DrawGradientV(0, (ySize)/2, xSize - 1, ySize - 1, 0xE3E4E1, 0xb1b1b1);

     // Translucent glass effect in the middle
    //
    GUI_SetColor(hexColor(0x80000000));
    GUI_DrawHLine((ySize / 2) - (LineHeight / 2),     0, xSize - 1);
    GUI_SetColor(0x44000000);
    GUI_DrawHLine((ySize / 2) + (LineHeight / 2) - 1, 0, xSize - 1);

    GUI_DrawGradientV(1, (ySize / 2) - (LineHeight / 2) + 1, xSize - 2, (ySize / 2) + (LineHeight / 2) - 2, hexColor(0x88FFFFFF), hexColor(0x55AAAAAA));

    GUI_SetColor(0x000000);//JLC
    GUI_DrawRoundedRect(0,0,xSize-1,ySize-1,3);//JLC
    GUI_SetPenSize(2);
    //GUI_AA_DrawLine(40,0,40,140);// Dibuja la linea divisoria
    //GUI_AA_DrawLine(150,0,150,140);// Dibuja la linea divisoria
    //JLC


    break;
  default:
    WM_DefaultProc(pMsg);
  }
}*/
/*********************************************************************
*
*       _OwnerDraw
*/
/*
static int _OwnerDraw(const WIDGET_ITEM_DRAW_INFO * pDrawItemInfo) {
  WM_HWIN   hWin;
  int       xPos;
  int       yPos;
  int       xSizeWin;
  int       ySizeWin;
  int       xSizeDev;

  hWin = pDrawItemInfo->hWin;
  //
  // Process messages
  //
  switch (pDrawItemInfo->Cmd) {
  case WIDGET_ITEM_GET_XSIZE:
    //
    // Return x-size of item
    //
    return LISTWHEEL_OwnerDraw(pDrawItemInfo);
  case WIDGET_ITEM_GET_YSIZE:
    //
    // Return y-size of item
    //
    return LISTWHEEL_OwnerDraw(pDrawItemInfo);
  case WIDGET_ITEM_DRAW:
    //
    // Draw item
    //
    return LISTWHEEL_OwnerDraw(pDrawItemInfo);
  case WIDGET_DRAW_BACKGROUND:
    xSizeWin = WM_GetWindowSizeX(hWin);
    ySizeWin = WM_GetWindowSizeY(hWin);
    //
    // Draw background
    //
    GUI_SetColor(0xFFFFFFFF);
    GUI_FillRect(4, 0, xSizeWin - 5, ySizeWin - 1);
    break;
  case WIDGET_DRAW_OVERLAY:
    xPos     = WM_GetWindowOrgX(hWin);
    yPos     = WM_GetWindowOrgY(hWin);
    xSizeWin = WM_GetWindowSizeX(hWin);

    break;
  }
  return 0;
}
*/

/*********************************************************************
*
*       MainTask
*/
void run(void) {
    setBacklight(100);
    GUI_Init();
  //GUI_Exec();
  GUI_SetBkColor(0xE3E4E1); //Color de fondo del display
  WM_SetBkWindowColor(0xE3E4E1); //Color de fondo del display


  LISTWHEEL_Handle hWin1;
  LISTWHEEL_Handle hWin2;
  int LineHeight    = 30;


  hWin1=LISTWHEEL_CreateEx(0, 0, 40, 140, 0, WM_CF_SHOW | WM_CF_HASTRANS, 0, GUI_ID_LISTWHEEL0,_apHour);

  hWin2= LISTWHEEL_CreateEx(40, 0,110, 140, 0, WM_CF_SHOW | WM_CF_HASTRANS, 0, GUI_ID_LISTWHEEL1,_apMin);

  LISTWHEEL_SetTextAlign(hWin1, GUI_TA_VCENTER | GUI_TA_HCENTER);
  LISTWHEEL_SetTextAlign(hWin2, GUI_TA_VCENTER | GUI_TA_HCENTER);
  LISTWHEEL_SetSnapPosition(hWin1, 55);
  LISTWHEEL_SetSnapPosition(hWin2, 55);
  LISTWHEEL_SetLineHeight(hWin1, 30);
  LISTWHEEL_SetLineHeight(hWin2, 30);
  LISTWHEEL_SetTextColor(hWin1, LISTWHEEL_CI_SEL, LIGHTBLUE);
  LISTWHEEL_SetTextColor(hWin2, LISTWHEEL_CI_SEL, LIGHTBLUE);
  LISTWHEEL_SetRBorder(hWin1, 10);
  LISTWHEEL_SetRBorder(hWin2, 10);


   while (1) {
    GUI_Delay(100);

   }
}
