#ifndef TOUCH_H
#define TOUCH_H

#include "utils.h"

typedef struct
{
    int x;
    int y;

    bool consumed; // true if someone has already used the touch data

    bool8 pressed;
    bool8 click;

    bool8 released; // active for just one iteration
    int deltaX;  // valid if released is true
    int deltaY;  // valid if released is true

    // DEBUG I want to know how long the ADC takes to read the touch signals
    uint32 debugTimeToCompletion;
} TouchData;

void updateTouchData(TouchData *touch);
#endif
