#ifndef COMMON_H
#define COMMON_H

#include <stdint.h>
#include <math.h> // for NAN

typedef uint8_t   uint8;
typedef uint16_t  uint16;
typedef uint32_t  uint32;
typedef int8_t    int8;
typedef int16_t   int16;
typedef int32_t   int32;

typedef int8 bool8; // this is the better way, right?
typedef int bool;
#ifndef true
#define true 1
#define false 0
#endif

typedef struct {int16 x; int16 y;} Point;

// TODO: rename arrayCount to arrayLen
#define arrayCount(array) ((int)(sizeof(array)/sizeof(*(array))))

// Converts an rgb tuple to the display representation
#define rgbToU16(r, g, b) ( (((r) >> 3) << 11) | (((g) >> 2) << 5) | (((b) >> 3) << 0) )

// These convert an rgb tuple to the emWin representation
// Unfortunately, a color like 0xff0000 shows red in the TFT but blue in the computer. So I have
// to move the red and blue bytes to different positions depending on the platform.
#if _WIN32
#define rgbToU24(r, g, b) ( ((b) << 16) | ((g) << 8) | ((r) << 0) )
#else
#define rgbToU24(r, g, b) ( ((r) << 16) | ((g) << 8) | ((b) << 0) )
#endif

#define rgb(r, g, b) rgbToU24((uint8)(r), (uint8)(g), (uint8)(b))
#define lrgb(l, r, g, b) rgb((l)*(r), (l)*(g), (l)*(b))

#define hexColor(hex) rgbToU24(((hex) >> 16) & 0xff, ((hex) >> 8) & 0xff, ((hex) >> 0) & 0xff) // (hex's format is, still, 0xrrggbb)

#ifndef max
#define max(a, b) ((a) > (b) ? (a) : (b))
#define min(a, b) ((a) < (b) ? (a) : (b))
#endif

#endif
