/*******************************************************************************
* File Name: HDC_DRDYn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HDC_DRDYn_H) /* Pins HDC_DRDYn_H */
#define CY_PINS_HDC_DRDYn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HDC_DRDYn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 HDC_DRDYn__PORT == 15 && ((HDC_DRDYn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    HDC_DRDYn_Write(uint8 value);
void    HDC_DRDYn_SetDriveMode(uint8 mode);
uint8   HDC_DRDYn_ReadDataReg(void);
uint8   HDC_DRDYn_Read(void);
void    HDC_DRDYn_SetInterruptMode(uint16 position, uint16 mode);
uint8   HDC_DRDYn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the HDC_DRDYn_SetDriveMode() function.
     *  @{
     */
        #define HDC_DRDYn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define HDC_DRDYn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define HDC_DRDYn_DM_RES_UP          PIN_DM_RES_UP
        #define HDC_DRDYn_DM_RES_DWN         PIN_DM_RES_DWN
        #define HDC_DRDYn_DM_OD_LO           PIN_DM_OD_LO
        #define HDC_DRDYn_DM_OD_HI           PIN_DM_OD_HI
        #define HDC_DRDYn_DM_STRONG          PIN_DM_STRONG
        #define HDC_DRDYn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define HDC_DRDYn_MASK               HDC_DRDYn__MASK
#define HDC_DRDYn_SHIFT              HDC_DRDYn__SHIFT
#define HDC_DRDYn_WIDTH              1u

/* Interrupt constants */
#if defined(HDC_DRDYn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in HDC_DRDYn_SetInterruptMode() function.
     *  @{
     */
        #define HDC_DRDYn_INTR_NONE      (uint16)(0x0000u)
        #define HDC_DRDYn_INTR_RISING    (uint16)(0x0001u)
        #define HDC_DRDYn_INTR_FALLING   (uint16)(0x0002u)
        #define HDC_DRDYn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define HDC_DRDYn_INTR_MASK      (0x01u) 
#endif /* (HDC_DRDYn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HDC_DRDYn_PS                     (* (reg8 *) HDC_DRDYn__PS)
/* Data Register */
#define HDC_DRDYn_DR                     (* (reg8 *) HDC_DRDYn__DR)
/* Port Number */
#define HDC_DRDYn_PRT_NUM                (* (reg8 *) HDC_DRDYn__PRT) 
/* Connect to Analog Globals */                                                  
#define HDC_DRDYn_AG                     (* (reg8 *) HDC_DRDYn__AG)                       
/* Analog MUX bux enable */
#define HDC_DRDYn_AMUX                   (* (reg8 *) HDC_DRDYn__AMUX) 
/* Bidirectional Enable */                                                        
#define HDC_DRDYn_BIE                    (* (reg8 *) HDC_DRDYn__BIE)
/* Bit-mask for Aliased Register Access */
#define HDC_DRDYn_BIT_MASK               (* (reg8 *) HDC_DRDYn__BIT_MASK)
/* Bypass Enable */
#define HDC_DRDYn_BYP                    (* (reg8 *) HDC_DRDYn__BYP)
/* Port wide control signals */                                                   
#define HDC_DRDYn_CTL                    (* (reg8 *) HDC_DRDYn__CTL)
/* Drive Modes */
#define HDC_DRDYn_DM0                    (* (reg8 *) HDC_DRDYn__DM0) 
#define HDC_DRDYn_DM1                    (* (reg8 *) HDC_DRDYn__DM1)
#define HDC_DRDYn_DM2                    (* (reg8 *) HDC_DRDYn__DM2) 
/* Input Buffer Disable Override */
#define HDC_DRDYn_INP_DIS                (* (reg8 *) HDC_DRDYn__INP_DIS)
/* LCD Common or Segment Drive */
#define HDC_DRDYn_LCD_COM_SEG            (* (reg8 *) HDC_DRDYn__LCD_COM_SEG)
/* Enable Segment LCD */
#define HDC_DRDYn_LCD_EN                 (* (reg8 *) HDC_DRDYn__LCD_EN)
/* Slew Rate Control */
#define HDC_DRDYn_SLW                    (* (reg8 *) HDC_DRDYn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HDC_DRDYn_PRTDSI__CAPS_SEL       (* (reg8 *) HDC_DRDYn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HDC_DRDYn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HDC_DRDYn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HDC_DRDYn_PRTDSI__OE_SEL0        (* (reg8 *) HDC_DRDYn__PRTDSI__OE_SEL0) 
#define HDC_DRDYn_PRTDSI__OE_SEL1        (* (reg8 *) HDC_DRDYn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HDC_DRDYn_PRTDSI__OUT_SEL0       (* (reg8 *) HDC_DRDYn__PRTDSI__OUT_SEL0) 
#define HDC_DRDYn_PRTDSI__OUT_SEL1       (* (reg8 *) HDC_DRDYn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HDC_DRDYn_PRTDSI__SYNC_OUT       (* (reg8 *) HDC_DRDYn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(HDC_DRDYn__SIO_CFG)
    #define HDC_DRDYn_SIO_HYST_EN        (* (reg8 *) HDC_DRDYn__SIO_HYST_EN)
    #define HDC_DRDYn_SIO_REG_HIFREQ     (* (reg8 *) HDC_DRDYn__SIO_REG_HIFREQ)
    #define HDC_DRDYn_SIO_CFG            (* (reg8 *) HDC_DRDYn__SIO_CFG)
    #define HDC_DRDYn_SIO_DIFF           (* (reg8 *) HDC_DRDYn__SIO_DIFF)
#endif /* (HDC_DRDYn__SIO_CFG) */

/* Interrupt Registers */
#if defined(HDC_DRDYn__INTSTAT)
    #define HDC_DRDYn_INTSTAT            (* (reg8 *) HDC_DRDYn__INTSTAT)
    #define HDC_DRDYn_SNAP               (* (reg8 *) HDC_DRDYn__SNAP)
    
	#define HDC_DRDYn_0_INTTYPE_REG 		(* (reg8 *) HDC_DRDYn__0__INTTYPE)
#endif /* (HDC_DRDYn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_HDC_DRDYn_H */


/* [] END OF FILE */
