/*******************************************************************************
* File Name: HDC_RDY.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HDC_RDY_H) /* Pins HDC_RDY_H */
#define CY_PINS_HDC_RDY_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HDC_RDY_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 HDC_RDY__PORT == 15 && ((HDC_RDY__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    HDC_RDY_Write(uint8 value);
void    HDC_RDY_SetDriveMode(uint8 mode);
uint8   HDC_RDY_ReadDataReg(void);
uint8   HDC_RDY_Read(void);
void    HDC_RDY_SetInterruptMode(uint16 position, uint16 mode);
uint8   HDC_RDY_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the HDC_RDY_SetDriveMode() function.
     *  @{
     */
        #define HDC_RDY_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define HDC_RDY_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define HDC_RDY_DM_RES_UP          PIN_DM_RES_UP
        #define HDC_RDY_DM_RES_DWN         PIN_DM_RES_DWN
        #define HDC_RDY_DM_OD_LO           PIN_DM_OD_LO
        #define HDC_RDY_DM_OD_HI           PIN_DM_OD_HI
        #define HDC_RDY_DM_STRONG          PIN_DM_STRONG
        #define HDC_RDY_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define HDC_RDY_MASK               HDC_RDY__MASK
#define HDC_RDY_SHIFT              HDC_RDY__SHIFT
#define HDC_RDY_WIDTH              1u

/* Interrupt constants */
#if defined(HDC_RDY__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in HDC_RDY_SetInterruptMode() function.
     *  @{
     */
        #define HDC_RDY_INTR_NONE      (uint16)(0x0000u)
        #define HDC_RDY_INTR_RISING    (uint16)(0x0001u)
        #define HDC_RDY_INTR_FALLING   (uint16)(0x0002u)
        #define HDC_RDY_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define HDC_RDY_INTR_MASK      (0x01u) 
#endif /* (HDC_RDY__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HDC_RDY_PS                     (* (reg8 *) HDC_RDY__PS)
/* Data Register */
#define HDC_RDY_DR                     (* (reg8 *) HDC_RDY__DR)
/* Port Number */
#define HDC_RDY_PRT_NUM                (* (reg8 *) HDC_RDY__PRT) 
/* Connect to Analog Globals */                                                  
#define HDC_RDY_AG                     (* (reg8 *) HDC_RDY__AG)                       
/* Analog MUX bux enable */
#define HDC_RDY_AMUX                   (* (reg8 *) HDC_RDY__AMUX) 
/* Bidirectional Enable */                                                        
#define HDC_RDY_BIE                    (* (reg8 *) HDC_RDY__BIE)
/* Bit-mask for Aliased Register Access */
#define HDC_RDY_BIT_MASK               (* (reg8 *) HDC_RDY__BIT_MASK)
/* Bypass Enable */
#define HDC_RDY_BYP                    (* (reg8 *) HDC_RDY__BYP)
/* Port wide control signals */                                                   
#define HDC_RDY_CTL                    (* (reg8 *) HDC_RDY__CTL)
/* Drive Modes */
#define HDC_RDY_DM0                    (* (reg8 *) HDC_RDY__DM0) 
#define HDC_RDY_DM1                    (* (reg8 *) HDC_RDY__DM1)
#define HDC_RDY_DM2                    (* (reg8 *) HDC_RDY__DM2) 
/* Input Buffer Disable Override */
#define HDC_RDY_INP_DIS                (* (reg8 *) HDC_RDY__INP_DIS)
/* LCD Common or Segment Drive */
#define HDC_RDY_LCD_COM_SEG            (* (reg8 *) HDC_RDY__LCD_COM_SEG)
/* Enable Segment LCD */
#define HDC_RDY_LCD_EN                 (* (reg8 *) HDC_RDY__LCD_EN)
/* Slew Rate Control */
#define HDC_RDY_SLW                    (* (reg8 *) HDC_RDY__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HDC_RDY_PRTDSI__CAPS_SEL       (* (reg8 *) HDC_RDY__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HDC_RDY_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HDC_RDY__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HDC_RDY_PRTDSI__OE_SEL0        (* (reg8 *) HDC_RDY__PRTDSI__OE_SEL0) 
#define HDC_RDY_PRTDSI__OE_SEL1        (* (reg8 *) HDC_RDY__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HDC_RDY_PRTDSI__OUT_SEL0       (* (reg8 *) HDC_RDY__PRTDSI__OUT_SEL0) 
#define HDC_RDY_PRTDSI__OUT_SEL1       (* (reg8 *) HDC_RDY__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HDC_RDY_PRTDSI__SYNC_OUT       (* (reg8 *) HDC_RDY__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(HDC_RDY__SIO_CFG)
    #define HDC_RDY_SIO_HYST_EN        (* (reg8 *) HDC_RDY__SIO_HYST_EN)
    #define HDC_RDY_SIO_REG_HIFREQ     (* (reg8 *) HDC_RDY__SIO_REG_HIFREQ)
    #define HDC_RDY_SIO_CFG            (* (reg8 *) HDC_RDY__SIO_CFG)
    #define HDC_RDY_SIO_DIFF           (* (reg8 *) HDC_RDY__SIO_DIFF)
#endif /* (HDC_RDY__SIO_CFG) */

/* Interrupt Registers */
#if defined(HDC_RDY__INTSTAT)
    #define HDC_RDY_INTSTAT            (* (reg8 *) HDC_RDY__INTSTAT)
    #define HDC_RDY_SNAP               (* (reg8 *) HDC_RDY__SNAP)
    
	#define HDC_RDY_0_INTTYPE_REG 		(* (reg8 *) HDC_RDY__0__INTTYPE)
#endif /* (HDC_RDY__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_HDC_RDY_H */


/* [] END OF FILE */
