/*******************************************************************************
* File Name: Noise_Int.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_Noise_Int_H)
#define CY_ISR_Noise_Int_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void Noise_Int_Start(void);
void Noise_Int_StartEx(cyisraddress address);
void Noise_Int_Stop(void);

CY_ISR_PROTO(Noise_Int_Interrupt);

void Noise_Int_SetVector(cyisraddress address);
cyisraddress Noise_Int_GetVector(void);

void Noise_Int_SetPriority(uint8 priority);
uint8 Noise_Int_GetPriority(void);

void Noise_Int_Enable(void);
uint8 Noise_Int_GetState(void);
void Noise_Int_Disable(void);

void Noise_Int_SetPending(void);
void Noise_Int_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the Noise_Int ISR. */
#define Noise_Int_INTC_VECTOR            ((reg32 *) Noise_Int__INTC_VECT)

/* Address of the Noise_Int ISR priority. */
#define Noise_Int_INTC_PRIOR             ((reg8 *) Noise_Int__INTC_PRIOR_REG)

/* Priority of the Noise_Int interrupt. */
#define Noise_Int_INTC_PRIOR_NUMBER      Noise_Int__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable Noise_Int interrupt. */
#define Noise_Int_INTC_SET_EN            ((reg32 *) Noise_Int__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the Noise_Int interrupt. */
#define Noise_Int_INTC_CLR_EN            ((reg32 *) Noise_Int__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the Noise_Int interrupt state to pending. */
#define Noise_Int_INTC_SET_PD            ((reg32 *) Noise_Int__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the Noise_Int interrupt. */
#define Noise_Int_INTC_CLR_PD            ((reg32 *) Noise_Int__INTC_CLR_PD_REG)


#endif /* CY_ISR_Noise_Int_H */


/* [] END OF FILE */
