/*******************************************************************************
* File Name: TP.h
* Version 2.0
*
* Description:
*  This file provides the constants and parameter values for the ResistiveTouch
*  component.
*
* Note:
*
********************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_RESISTIVE_TOUCH_TP_H)
#define CY_RESISTIVE_TOUCH_TP_H

#include "cytypes.h"
#include "TP_ADC.h"
#include "TP_AMux.h"


/***************************************
*        Function Prototypes
****************************************/

void TP_Start(void) ;
void TP_Stop(void) ;
void TP_Init(void) ; 
void TP_Enable(void) ;
void TP_ActivateX(void) ;
void TP_ActivateY(void);
int16 TP_Measure(void) ;
uint8 TP_TouchDetect(void) ;

void TP_SaveConfig(void) ;
void TP_RestoreConfig(void) ;
void TP_Sleep(void) ; 
void TP_Wakeup(void) ; 

/* Macros for emWinGraphics Library */
#define CYTOUCH_START()         TP_Start() 
#define CYTOUCH_STOP()          TP_Stop()
#define CYTOUCH_MEASURE()       TP_Measure()
#define CYTOUCH_ACTIVATE_X()    TP_ActivateX()
#define CYTOUCH_ACTIVATE_Y()    TP_ActivateY()
#define CYTOUCH_TOUCHED()       TP_TouchDetect()


/***************************************
*   Variable with external linkage
***************************************/

extern uint8 TP_initVar;


/***************************************
*       Constants
***************************************/

/* AMUX channel definitions */
#define TP_AMUX_XP_CHAN   (0)
#define TP_AMUX_YP_CHAN   (1)
#define TP_AMUX_NO_CHAN   (-1)

/* The screen is touched if the measured value is lower than the specified
* threshold.
*/
#define TP_TOUCH_THRESHOLD        (0x778)


#endif /* CY_RESIST_TOUCH_TP_H */


/* [] END OF FILE */
