/*******************************************************************************
* File Name: TP_AMux.h
* Version 1.80
*
*  Description:
*    This file contains the constants and function prototypes for the AMuxSeq.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUXSEQ_TP_AMux_H)
#define CY_AMUXSEQ_TP_AMux_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*   Conditional Compilation Parameters
***************************************/

#define TP_AMux_MUX_SINGLE 1
#define TP_AMux_MUX_DIFF   2
#define TP_AMux_MUXTYPE    1


/***************************************
*        Function Prototypes
***************************************/

void TP_AMux_Start(void);
void TP_AMux_Init(void);
void TP_AMux_Stop(void);
#if (TP_AMux_MUXTYPE == TP_AMux_MUX_DIFF)
void TP_AMux_Next(void);
void TP_AMux_DisconnectAll(void);
#else
/* The Next and DisconnectAll functions are declared in cyfitter_cfg.h. */
/* void TP_AMux_Next(void); */
/* void TP_AMux_DisconnectAll(void); */
#endif
int8 TP_AMux_GetChannel(void);


/***************************************
*           Global Variables
***************************************/

extern uint8 TP_AMux_initVar;


/***************************************
*         Parameter Constants
***************************************/
#define TP_AMux_CHANNELS 2


#endif /* CY_AMUXSEQ_TP_AMux_H */


/* [] END OF FILE */
