/*******************************************************************************
* File Name: TP_PM.c
* Version 2.0
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "TP.h"


/*******************************************************************************
* Function Name: TP_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the ADC configuration.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void TP_SaveConfig(void) 
{
    TP_ADC_SaveConfig();   
}


/*******************************************************************************
* Function Name: TP_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the ADC configuration.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void TP_RestoreConfig(void) 
{
    TP_ADC_RestoreConfig();  
}


/*******************************************************************************
* Function Name: TP_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void TP_Sleep(void) 
{
    TP_ADC_Sleep();
    TP_AMux_Stop();
}


/*******************************************************************************
* Function Name: TP_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void TP_Wakeup(void)  
{
    TP_ADC_Wakeup();
}


/* [] END OF FILE */
