/*******************************************************************************
* File Name: TP_xm.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TP_xm_H) /* Pins TP_xm_H */
#define CY_PINS_TP_xm_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TP_xm_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TP_xm__PORT == 15 && ((TP_xm__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TP_xm_Write(uint8 value) ;
void    TP_xm_SetDriveMode(uint8 mode) ;
uint8   TP_xm_ReadDataReg(void) ;
uint8   TP_xm_Read(void) ;
uint8   TP_xm_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TP_xm_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TP_xm_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TP_xm_DM_RES_UP          PIN_DM_RES_UP
#define TP_xm_DM_RES_DWN         PIN_DM_RES_DWN
#define TP_xm_DM_OD_LO           PIN_DM_OD_LO
#define TP_xm_DM_OD_HI           PIN_DM_OD_HI
#define TP_xm_DM_STRONG          PIN_DM_STRONG
#define TP_xm_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TP_xm_MASK               TP_xm__MASK
#define TP_xm_SHIFT              TP_xm__SHIFT
#define TP_xm_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TP_xm_PS                     (* (reg8 *) TP_xm__PS)
/* Data Register */
#define TP_xm_DR                     (* (reg8 *) TP_xm__DR)
/* Port Number */
#define TP_xm_PRT_NUM                (* (reg8 *) TP_xm__PRT) 
/* Connect to Analog Globals */                                                  
#define TP_xm_AG                     (* (reg8 *) TP_xm__AG)                       
/* Analog MUX bux enable */
#define TP_xm_AMUX                   (* (reg8 *) TP_xm__AMUX) 
/* Bidirectional Enable */                                                        
#define TP_xm_BIE                    (* (reg8 *) TP_xm__BIE)
/* Bit-mask for Aliased Register Access */
#define TP_xm_BIT_MASK               (* (reg8 *) TP_xm__BIT_MASK)
/* Bypass Enable */
#define TP_xm_BYP                    (* (reg8 *) TP_xm__BYP)
/* Port wide control signals */                                                   
#define TP_xm_CTL                    (* (reg8 *) TP_xm__CTL)
/* Drive Modes */
#define TP_xm_DM0                    (* (reg8 *) TP_xm__DM0) 
#define TP_xm_DM1                    (* (reg8 *) TP_xm__DM1)
#define TP_xm_DM2                    (* (reg8 *) TP_xm__DM2) 
/* Input Buffer Disable Override */
#define TP_xm_INP_DIS                (* (reg8 *) TP_xm__INP_DIS)
/* LCD Common or Segment Drive */
#define TP_xm_LCD_COM_SEG            (* (reg8 *) TP_xm__LCD_COM_SEG)
/* Enable Segment LCD */
#define TP_xm_LCD_EN                 (* (reg8 *) TP_xm__LCD_EN)
/* Slew Rate Control */
#define TP_xm_SLW                    (* (reg8 *) TP_xm__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TP_xm_PRTDSI__CAPS_SEL       (* (reg8 *) TP_xm__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TP_xm_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TP_xm__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TP_xm_PRTDSI__OE_SEL0        (* (reg8 *) TP_xm__PRTDSI__OE_SEL0) 
#define TP_xm_PRTDSI__OE_SEL1        (* (reg8 *) TP_xm__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TP_xm_PRTDSI__OUT_SEL0       (* (reg8 *) TP_xm__PRTDSI__OUT_SEL0) 
#define TP_xm_PRTDSI__OUT_SEL1       (* (reg8 *) TP_xm__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TP_xm_PRTDSI__SYNC_OUT       (* (reg8 *) TP_xm__PRTDSI__SYNC_OUT) 


#if defined(TP_xm__INTSTAT)  /* Interrupt Registers */

    #define TP_xm_INTSTAT                (* (reg8 *) TP_xm__INTSTAT)
    #define TP_xm_SNAP                   (* (reg8 *) TP_xm__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TP_xm_H */


/* [] END OF FILE */
