/****************************************************************************
* Title                 :   SenseAir_S8
* Filename              :   SenseAir_S8.h
* Author                :   JLC
* Origin Date           :   03/03/2017
* Notes                 :   None
*****************************************************************************/
/**************************CHANGE LIST **************************************
*
*    Date    Software Version    Initials       Description
*  03/03/17       1.0.0             JLC        Module Created.
*
*****************************************************************************/
/**
 * @file SenseAir_S8.h
 *
 * SenseAir_S8, file to work with sensor S8 of SenseAir
 */


/******************************************************************************
* Includes
*******************************************************************************/
//#include <stdint.h>
//#include <stdbool.h>
//#include <stddef.h>
//#include <device.h>
#include <project.h>
#include <utils.h>

/******************************************************************************
* Define
*******************************************************************************/

/******************************************************************************
* Function Prototypes
*******************************************************************************/

// These two functions can return any of these
#define S8_READ_INCOMPLETE 0xfffe // The transfer is taking place, but hasn't completed yet
#define S8_READ_ERROR      0xffff // Read error


// TODO: OBSOLETE DOCUMENTATION?
/*******************************************************************************
* Function Name  : get_co2_S8
* Description    : Obtiene el CO2 medido por el sensor S8
* Input          : None
*
* return= 0xFFFF, No hay datos en la UART. El S8 está desconectado o no tiene alimentacón
* return Cualquier otro valor es el CO2

*******************************************************************************/
uint16 get_co2_S8(void);
//typedef struct
//{
//    uint16 co2;
//    bool8 valid; // Measurement has completed
//    bool8 error;
//}
//S8Result;
//S8Result get_co2_S8(void)

/*******************************************************************************
* Function Name  : get_status_S8
* Description    : Obtiene el del sensor S8
* Input          : None
*
* return= 0xFFFF, No hay datos en la UART. El S8 está desconectado o no tiene alimentacón
* return Cualquier otro valor es el CO2

*******************************************************************************/
uint16 get_status_S8(void);


/* [] END OF FILE */

