#ifndef I2C_COMMUNICATION_H
#define I2C_COMMUNICATION_H

#include <utils.h>
#include "time_psoc.h"

// TODO: Use a smaller timeout?
#define TIMEOUT_IN_MS 5

void i2cStart();
void i2cBeginTransaction();
bool8 i2cEndTransaction();
uint8 i2cGetMasterStatus();
void i2cWrite(uint8 address, uint8 *buffer, int count);
void i2cWriteByte(uint8 address, uint8 byte);
void i2cWriteU16(uint8 address, uint16 value);
void i2cRead(uint8 address, uint8 *buffer, int count);

// TODO: Test the example code
/* To be used like this:
    void example()
    {
        i2cStart();

        i2cBeginTransaction();

        i2cWriteByte(0x40, 0x10);
        i2cWriteByte(0x40, 0x00);

        uint8 buffer[4];
        i2cRead(0x40, buffer, 4);

        bool error = i2cEndTransaction();
    }
*/

#endif
