#include "device.h"

#include <GUI.h>
#include <utils.h>
#include "debug.h"
#include "sensors_psoc.h"
#include "time_psoc.h"
#include "tft.h"
#include "touch_psoc.h"

// DEBUG
//#include "i2c_communication.h"
//#include <stdlib.h>
#include "PSoC_FatFs_Library/diskio.h"
#include "sd.c"
//#include "PSoC_FatFs_Library/ff.h"

extern void run(); // this is the entry point to the platform independent code

int main()
{
    CyGlobalIntEnable; // TODO: Should I call this here?

    initDebug();

    tftInit(ORIENTATION_LANDSCAPE);

    GUI_Init();
    LCD_X_Config();

    initTouchSystem(); // TODO: move this up

    extern void GUI_X_SystickIntr();
    setTimerCallback(GUI_X_SystickIntr, 1); // GUI_X_SystickIntr needs to be called each 1 ms

    //GUI_DispString("Waiting for the SD card to init...");
#if 0 // You can safely disable this. The rest of the program should continue working.
    while (!initSd())
    {
        setBacklight(255);
        GUI_GotoXY(0, 0);
        GUI_DispString("\nInsert SD card.\nIf it's already in, try reinserting it.");
        CyDelay(100);
    }
#endif
    setBacklight(0);

    initSensors();

    run();
}
