#include <GUI.h>
#include <TP.h>
#include "touch_psoc.h"
#include "tft.h"
#include "time_psoc.h"

// TODO: Think about this more carefully
// TODO: What if the user clicks twice between two calls of updateTouchData?
//          should we record each press in an array?
static bool8 _hasBeenPressed = false; // since last time someone called updateTouchData
static bool8 _hasBeenReleased = false; // since last time someone called updateTouchData
static bool8 _pressed = false;
static Point _anchorP = {}; // first touch point
static Point _touchP = {}; // current touch point
static Point _delta = {}; // vector from the first touch point to the current one
static bool8 read = false; // someone has read these _variables


uint32 _debugTimeToCompletion = 0; // DEBUG

// TODO: This should complete quickly. Do you want to make it faster?
// TODO: Make it work for any orientation!
void updateInternalTouchState()
{
    static Timestamp t0 = 0;

    bool8 pressed = TP_TouchDetect();
    int16 touchX = 0;
    int16 touchY = 0;
    if (pressed)
    {
        TP_ActivateX(); int16 adcX = TP_Measure();
        TP_ActivateY(); int16 adcY = TP_Measure();

        touchX = TFT_WIDTH * (float)(adcX - ADC_LEFT)/(float)(ADC_RIGHT - ADC_LEFT);
        touchY = TFT_HEIGHT * (float)(adcY - ADC_TOP)/(float)(ADC_BOTTOM - ADC_TOP);
    }

    if (read)
    {
        _hasBeenPressed = false;
        _hasBeenReleased = false;
        if (!pressed)
        {
            _delta.x = 0;
            _delta.y = 0;
        }
        read = false;
    }

    bool8 wasPressed = _pressed;

    _hasBeenPressed |= pressed;
    _hasBeenReleased |= (wasPressed && !pressed);
    _pressed = pressed;
    if (pressed)
    {
        _touchP.x = touchX;
        _touchP.y = touchY;
    }

    if (!wasPressed && pressed)
    {
        _anchorP.x = touchX;
        _anchorP.y = touchY;
    }

    _delta.x = _touchP.x - _anchorP.x;
    _delta.y = _touchP.y - _anchorP.y;

#if 1
    // TODO: This was just a quick hack
    GUI_PID_STATE state = {};
    
    state.x = _touchP.x;
    state.y = _touchP.y;
    state.Pressed = _pressed;
    GUI_TOUCH_StoreStateEx(&state);
    //GUI_TOUCH_GetState(&state);
#else
    GUI_TOUCH_Exec();
#endif

    uint32 duration = msSince(t0);
    //if (duration > _debugTimeToCompletion)
        _debugTimeToCompletion = duration;
    t0 = getTimestamp();
}

void initTouchSystem()
{
    //extern void GUI_TOUCH_Exec();
    //setTimerCallback(GUI_TOUCH_Exec, 10);   // GUI_TOUCH_Exec needs to be called about 100 times per second (each 10 ms)

    //TP_Init();

    setTimerCallback(updateInternalTouchState, 5);
}

void updateTouchData(TouchData *touch)
{
    disableTimeInterrupts();
    Point touchP = _touchP;
    bool8 pressed = _pressed;

    bool8 hasBeenPressed = _hasBeenPressed;
    bool8 hasBeenReleased = _hasBeenReleased;

    touch->consumed = false;

    touch->deltaX = _delta.x;
    touch->deltaY = _delta.y;

    touch->debugTimeToCompletion = _debugTimeToCompletion;

    read = true;
    enableTimeInterrupts();

    //touch->pressed = false;
    //touch->released = false;

    touch->click = false;
    if (!touch->pressed && hasBeenPressed)
    {
        touch->click = true;
    }

    touch->released = hasBeenReleased;
    touch->pressed = hasBeenPressed;

    touch->x = touchP.x;
    touch->y = touchP.y;
}
