
//`#start header` -- edit after this line, do not edit this line
// ========================================
//
// Copyright YOUR COMPANY, THE YEAR
// All Rights Reserved
// UNPUBLISHED, LICENSED SOFTWARE.
//
// CONFIDENTIAL AND PROPRIETARY INFORMATION
// WHICH IS THE PROPERTY OF your company.
//
// ========================================
`include "cypress.v"
//`#end` -- edit above this line, do not edit this line
// Generated on 03/10/2017 at 14:24
// Component: TFT_Driver
module TFT_Driver (
	output  c_d,
	output  csx,
	output [7:0] d,
	output  rdx,
	output  wrx,
	input   clk,
	input   color,
	input   reset,
	input   trigger
);

//`#start body` -- edit after this line, do not edit this line
    reg [7:0] state;
    reg [7:0] d_reg;
    reg [10:0] counter;
    reg c_d_reg;
    reg csx_reg;
    reg wrx_reg;

    // States
    localparam IDLE   = 8'd0;

    localparam CMD_0  = 8'd1;
    localparam CMD_1  = 8'd2;
    localparam CMD_2  = 8'd3;
    localparam CMD_3  = 8'd4;

    localparam DATA_0 = 8'd10;
    localparam DATA_1 = 8'd11;
    localparam DATA_2 = 8'd12;
    localparam DATA_3 = 8'd13;
    localparam DATA_4 = 8'd14;

    // Commands
    localparam NOP           = 8'h00;
    localparam WRITE_TO_RAM  = 8'h2c;
    localparam DISPLAY_OFF   = 8'h28;

    assign d = d_reg;
    assign rdx = 1;   // Write

    assign c_d = c_d_reg; //(state >= CMD_0) ? 0 : 1;
    assign csx = csx_reg; //(state >= CMD_1) ? 0 : 1;
    assign wrx = wrx_reg; //(state == CMD_2) ? 0 : 1;

    always @ (posedge clk)
    begin
        if (reset == 1'b1)
        begin
            state <= IDLE;
            d_reg <= DISPLAY_OFF;
            c_d_reg <= 1;
            csx_reg <= 1;
            wrx_reg <= 1;
        end
        else
        begin
            case (state)
                IDLE: 
                begin
                    state <= trigger ? CMD_0 : state;
                    c_d_reg <= trigger ? 0 : c_d_reg;
                end

                CMD_0:
                begin
                    state <= CMD_1;
                    d_reg <= WRITE_TO_RAM;
                    csx_reg <= 0;
                end

                CMD_1:
                begin
                    state <= CMD_2;
                    wrx_reg <= 0;
                end

                CMD_2:
                begin
                    state <= CMD_3;
                    wrx_reg <= 1;
                end

                CMD_3:
                begin
                    state <= DATA_0;
                    c_d_reg <= 1;
                    d_reg <= color ? 8'hff : 8'hf0;
                end

                DATA_0:
                begin
                    counter <= 0;
                    state <= DATA_1;
                end

                DATA_1:
                begin
                    wrx_reg <= counter[0];
                    counter <= counter + 1;
                    if (counter == ((4 * 320 * 480) - 1)) // should never reach that high of a number
                    begin
                        state <= IDLE;
                    end
                end
        endcase
    end
    end

//`#end` -- edit above this line, do not edit this line
endmodule
//`#start footer` -- edit after this line, do not edit this line
//`#end` -- edit above this line, do not edit this line
